KTHREAD_FREEZABLE_SH(9)

NAME
kthread_freezable_should_stop - should this freezable kthread return now?

SYNOPSIS

bool kthread_freezable_should_stop(bool * was_frozen);

ARGUMENTS

was_frozen
    optional out parameter, indicates whether current was frozen

DESCRIPTION

kthread_should_stop for freezable kthreads, which will enter refrigerator if necessary. This function is safe from kthread_stop / freezer deadlock and freezable kthreads should use this function instead of calling try_to_freeze directly.

COPYRIGHT